---
title: "List the connected portal's deal pipelines and stages"
canonical_url: "https://twominutebilling.com/help/developers/api-reference/hubspot/list-the-connected-portal-s-deal-pipelines-and-s"
---
# List the connected portal's deal pipelines and stages

<api-operation method="GET" path="/v1/businesses/{biz}/integrations/hubspot/pipelines">
<template v-slot:docs="">

## Path parameters

<table>
<thead>
  <tr>
    <th>
      Parameter
    </th>
    
    <th>
      Type
    </th>
    
    <th>
      Required
    </th>
    
    <th>
      Description
    </th>
  </tr>
</thead>

<tbody>
  <tr>
    <td>
      <code>
        biz
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      <strong>
        yes
      </strong>
    </td>
    
    <td>
      Business id (biz_…)
    </td>
  </tr>
</tbody>
</table>

## Response

<table>
<thead>
  <tr>
    <th>
      Field
    </th>
    
    <th>
      Type
    </th>
    
    <th>
      Description
    </th>
  </tr>
</thead>

<tbody>
  <tr>
    <td>
      <code>
        object
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      The object type; always <code>
        list
      </code>
      
      . One of <code>
        list
      </code>
      
      .
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        data
      </code>
    </td>
    
    <td>
      <code>
        array of object
      </code>
    </td>
    
    <td>
      The items.
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        data.id
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      The pipeline id.
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        data.label
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      The pipeline name.
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        data.stages
      </code>
    </td>
    
    <td>
      <code>
        array of object
      </code>
    </td>
    
    <td>
      The stages, in display order.
    </td>
  </tr>
</tbody>
</table>

## Status codes

<table>
<thead>
  <tr>
    <th>
      Status
    </th>
    
    <th>
      Meaning
    </th>
  </tr>
</thead>

<tbody>
  <tr>
    <td>
      <code>
        200
      </code>
    </td>
    
    <td>
      A list of pipelines
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        404
      </code>
    </td>
    
    <td>
      HubSpot is not connected
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        502
      </code>
    </td>
    
    <td>
      HubSpot refused the request
    </td>
  </tr>
</tbody>
</table>
</template>

<template v-slot:request="">

```bash [Request]
curl "$TMBILLING_URL/v1/businesses/biz_XXXXXXXXXXXX01/integrations/hubspot/pipelines" \
  -H "Authorization: Bearer $TMBILLING_API_KEY"
```

</template>

<template v-slot:response="">
<code-group>

```json [200 OK]
{
  "object": "list",
  "data": [
    {
      "id": "default",
      "label": "Sales Pipeline",
      "stages": [
        {
          "id": "closedwon",
          "label": "Closed won",
          "closed": false
        }
      ]
    }
  ]
}
```

```json [404 Not Found]
{
  "error": {
    "type": "invalid_request_error",
    "message": "HubSpot is not connected"
  }
}
```

```json [502 Bad Gateway]
{
  "error": {
    "type": "api_error",
    "message": "HubSpot refused the request"
  }
}
```

</code-group>
</template>
</api-operation>


## Sitemap

See the full [sitemap](https://twominutebilling.com/sitemap.md) for all pages.
